import { Extension } from "./Extension";
export declare class Buildable<BuiltType, NameType = string, ExtensionsType = any> extends Extension<ExtensionsType> {
    protected _built: BuiltType;
    protected _description?: string;
    get definitionNode(): any;
    get description(): string;
    get built(): BuiltType;
    static create(...args: any[]): void;
    build(...args: any[]): void;
    setDescription(description: string): this;
}
