"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GQLBasicType = void 0;
const GQLAnyType_1 = require("../GQLAnyType");
class GQLBasicType extends GQLAnyType_1.GQLAnyType {
    constructor(name) {
        super(name);
    }
    get classType() {
        return this._classType;
    }
    /**
     * Create a new instance of your type
     */
    static create(...args) {
        throw new Error("Method not overridden");
    }
    setClassType(classType) {
        this._classType = classType;
        return this;
    }
    toConfigMap(arr) {
        return arr.reduce((prev, item) => {
            const built = item.build();
            prev[built.name] = {
                ...built,
            };
            return prev;
        }, {});
    }
}
exports.GQLBasicType = GQLBasicType;
//# sourceMappingURL=GQLBasicType.js.map