import { Directive } from "../definition";
import { Buildable } from "./Buildable";
export declare class GQLElement<BuiltType, NameType = string, ExtensionsType = any> extends Buildable<BuiltType, NameType, ExtensionsType> {
    protected _name: NameType & string;
    protected _directives: Directive[];
    get definitionNode(): any;
    get description(): string;
    get name(): NameType & string;
    get directives(): Directive<any>[];
    protected constructor(name?: NameType & string);
    setName(name: NameType & string): this;
    setDirectives(...directives: Directive[]): this;
    addDirectives(...directives: Directive[]): this;
    removeDirectives(...directives: Directive[]): this;
}
