export declare type Named = {
    name?: string;
};
export declare type Findable<T extends Named> = T | string | number;
export declare type Removable<T extends Named> = Findable<T>[];
export declare class ArrayHelper {
    static remove<T extends Named = any>(itemOrIndexOrName: Removable<T>, array: T[]): T[];
    static find<T extends Named = any>(itemOrIndexOrName: Named | string | number, array: T[]): {
        index: number;
        ref: T;
    } | undefined;
    static set<T extends Named = any>(itemOrIndexOrName: Findable<T>, value: T, array: T[]): T[];
    static addWithoutDuplication<T extends Named = any>(name: Named, value: T, array: T[]): T[];
}
